package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Sevice_orderRepository;
import com.realnet.vpspack.Entity.Sevice_order
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
















	import org.springframework.stereotype.Service;

@Service
 public class Sevice_orderService {
@Autowired
private Sevice_orderRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;















public Sevice_order Savedata(Sevice_order data) {
















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Sevice_order save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Sevice_order> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Sevice_order> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Sevice_order> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Sevice_order getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Sevice_order update(Sevice_order data,Integer id) {
	Sevice_order old = Repository.findById(id).get();
old.setFind_customer(data.getFind_customer());

old.setOrder_confirmation(data.getOrder_confirmation());

old.setOrder_progress(data.getOrder_progress());

old.setVisa_approved(data.getVisa_approved());

old.setSupplier_acknowledgement(data.getSupplier_acknowledgement());

old.setHow_did_we_do(data.getHow_did_we_do());

old.setSend_email(data.getSend_email());

old.setMessage_to_customer(data.getMessage_to_customer());

final Sevice_order test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
